List Subscriptions
The “List Subscriptions” API allows to retrieve a paginated list of subscriptions. Customize your results by filtering subscriptions based on name, alt type, subscription status, payment mode, date range, type of source, contact, subscription id, entity id, contact or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve subscription information.
GET
/
payments
/
subscriptions
List Subscriptions
curl --request GET \
--url https://services.leadconnectorhq.com/payments/subscriptions \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/subscriptions"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "64bf78af39118e4011926cba",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "active",
"entitySourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2023-11-20T10:23:36.515Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"entityType": "order",
"entityId": "62f4db0f3059ecee61379012",
"entitySourceName": "Attribution Funnel",
"entitySourceId": "bevrkPbLaDNXFaqfLKMm",
"entitySourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"sxC4lNhFIavEnLZh5KhC\", pageUrl: \"/v2/preview/sxC4lNhFIavEnLZh5KhC\", stepId: \"7d303d1f-cb85-403d-b548-bf01de5c7bb0\" }",
"subscriptionId": "I-0UE609H8E43P",
"subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
"paymentProviderType": "stripe",
"paymentProviderConnectedAccount": "ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s",
"ipAddress": "103.100.16.82",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Last modified on March 8, 2026
Was this page helpful?
List Subscriptions
curl --request GET \
--url https://services.leadconnectorhq.com/payments/subscriptions \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/subscriptions"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "64bf78af39118e4011926cba",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "active",
"entitySourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2023-11-20T10:23:36.515Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"entityType": "order",
"entityId": "62f4db0f3059ecee61379012",
"entitySourceName": "Attribution Funnel",
"entitySourceId": "bevrkPbLaDNXFaqfLKMm",
"entitySourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"sxC4lNhFIavEnLZh5KhC\", pageUrl: \"/v2/preview/sxC4lNhFIavEnLZh5KhC\", stepId: \"7d303d1f-cb85-403d-b548-bf01de5c7bb0\" }",
"subscriptionId": "I-0UE609H8E43P",
"subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
"paymentProviderType": "stripe",
"paymentProviderConnectedAccount": "ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s",
"ipAddress": "103.100.16.82",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}